Support » Allgemeine Fragen » Nach Update auf 5.6 keine Bearbeitung möglich

  • Gelöst guckmada

    (@guckmada)


    Hallo,

    habe auf 5.6 update gemacht.
    Nun erhalte ich folgende Fehlermeldung:

    The Authorization header comes from the third-party applications you approve. Without it, those apps cannot connect to your site.

    Flush permalinks
    (Einstellung: Beitragsname = /beispielbeitrag/)

    Danke

    Beste Grüße
    guckmada

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 14 Antworten - 16 bis 29 (von insgesamt 29)
  • Moderator Bego Mario Garde

    (@pixolin)

    Die Dokumentation wird immer zuletzt geändert. Da würde ich mich im Moment nicht drauf verlassen. 🙈

    Da BulletProof Security älteren WordPress Rewrite-htaccess-Code verwendet, müssen Sie den neuen htaccess-Code in das Textfeld BulletProof Security Custom Code einfügen, um ihn dauerhaft zu speichern, bis ich dieses Problem in einer neuen BulletProof Security-Version beheben kann Ich werde so schnell wie möglich veröffentlichen. Gehen Sie nach Ihrem für Sie geeigneten Beispielcode und dem neuen WordPress-htaccess-Code in der Datei network.php. Sie müssen nur Ihren neuen funktionierenden htaccess-Code in dieses Textfeld für den benutzerdefinierten BulletProof Security-Code einfügen: 8. CUSTOM CODE WP REWRITE LOOP START. In diesem Textfeld für benutzerdefinierten BulletProof-Sicherheitscode müssen Sie nichts hinzufügen: 12b. CUSTOM CODE WP REWRITE LOOP END.

    @pixolin – Ja du hast Recht. Ich habe falsch gelesen, was gepostet wurde, und zusätzliche Informationen hinzugefügt, um dies vorerst zu beheben, bis ich eine dauerhafte Korrektur in BulletProof Security erhalten kann.

    Nochmal zu RewriteCond %{HTTP:Authorization} ^(.+)$:
    Meine Seite läuft bei Strato, die verwenden beim Shared Hosting CGI/FastCGI.
    Ich habe in der Apache-Dokumentation nachgelesen und getestet, besser und sicherer ist: CGIPassAuth On.

    Also @guckmada:
    Es liegt nicht an php 7.2, https und permalinks. Ändere die Zeilen in der .htaccess zu:

    <IfModule mod_rewrite.c>
    RewriteEngine On
    SetEnvIf Authorization "(.*)" HTTP_AUTHORIZATION=$1
    RewriteCond %{HTTP:Authorization} ^(.+)$
    RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]
    RewriteBase /a/
    RewriteRule ^index\.php$ - [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /a/index.php [L]
    </IfModule>

    oder mit FastCGI:

    <IfModule mod_rewrite.c>
    RewriteEngine On
    CGIPassAuth On
    RewriteBase /a/
    RewriteRule ^index\.php$ - [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /a/index.php [L]
    </IfModule>

    Noch zur Erklärung: WordPress darf bei mir nicht die .htaccess schreiben, deshalb wird es mir auf der permalink-Seite angezeigt.

    Vielen Dank, dass Sie diese Informationen geteilt haben. Ich schaue mir das auch an. Die Direktive SetEnvIf .htaccess funktioniert nicht auf LiteSpeed-Servern. Dies ist nur ein Hinweis für alle anderen, die dieses Forenthema sehen. Ich sehe keine Bedingungen für CGI / FastCGI oder LiteSpeed in der Datei network.php .htaccess, in der Code geschrieben wird.

    • Diese Antwort wurde geändert vor 12 Monaten von AITpro.

    RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}] getestet und funktioniert gut auf LiteSpeed.

    Thread-Ersteller guckmada

    (@guckmada)

    Guten Morgen,

    an @aitpro

    Erhalte Fehlermeldung:

    Autorisierungs-Header fehlt

    Versuch htaccess zu ändern schlägt fehlt, weil die Änderung sofort in Quarantäne verschoben wird.

    Was kann ich tun?
    DANKE!

    LG
    guckmada

    LG
    guckmada

    Wie änderst Du die .htaccess? Achtung, das erste Zeichen des Namens ist ein Punkt!
    Du musst die .htaccess mit einem FTP-Programm herunterladen, mit einem geigneten Editor ändern und wieder hochladen. Vorher ein Backup der Datei machen, ein Tippfehler macht die Seite nicht mehr aufrufbar.
    FTP-Programm z.B. https://filezilla-project.org/download.php
    Editor z.B.: https://notepad-plus-plus.org/downloads/v7.8.8/

    @guckmada – Da sich Ihre Frage auf das BPS Pro Plugin bezieht, möchte ich dieses Problem in meinem Forum hier dokumentieren lassen > https://forum.ait-pro.com/forums/topic/authorization-header-is-missing-autorisierungs-header-fehlt/

    Gründe dafür:
    BPS Pro ist ein Premium / Paid Plugin.
    Vermeiden Sie Verwirrung bei anderen Personen, die nicht über BPS Pro verfügen.

    Bitte erstellen Sie ein Benutzerkonto auf der Website des BulletProof Security-Forums, um diese Konversation fortzusetzen.

    Ich werde in Kürze eine Antwort auf Ihre Fragen im BulletProof Security Forum veröffentlichen.

    @guckmada – Ich habe hier eine Antwort auf Ihre Fragen gepostet > *** [Link entfernt]

    Moderationshinweis: Wir möchten Fragen gerne hier im Forum behandeln und nicht in weiteren Foren. Vielen Dank.

    • Diese Antwort wurde geändert vor 11 Monaten, 4 Wochen von Bego Mario Garde. Grund: URL zu fremdem Forum gelöscht

    Ich habe das Forum Topic bearbeitet und einen zusätzlichen fehlenden Schritt hinzugefügt.


    Moderationshinweis: Siehe Moderationshinweis unter https://de.wordpress.org/support/topic/nach-update-auf-5-6-keine-bearbeitung-moeglich/page/2/#post-96677

    • Diese Antwort wurde geändert vor 11 Monaten, 4 Wochen von Bego Mario Garde. Grund: Moderationshinweis
    Thread-Ersteller guckmada

    (@guckmada)

    Hallo,

    herzlichen Dank an ALLE!

    Problem gelöst.

    LG
    guckmada

    Ich habe die selbe Fehlermeldung. Allerdings eine Multisite und so steht in der .htaccess nichts drin. Wenn ich die Zeilen von @hupe13 einfüge, erreiche ich keine Unterseiten mehr – sprich nur noch die Startseite der Hauptdomain und der Subdomains.

    Gibt es hier auch eine Lösung für eine Multisite Struktur?

    Moderator Bego Mario Garde

    (@pixolin)

    @itubs Bitte sei so nett und lies dir nochmal unsere Forenregeln durch: wir können jeden Thread nur einmal als „gelöst“ markieren (was anderen Teilnehmenden signalisiert, dass sie hier nicht mehr helfen brauchen) und bitten deshalb darum, für jede Frage einen eigenen Thread zu starten und das Problem möglichst genau zu beschreiben.

    Du hast zwar die gleiche Fehlermeldung, aber eine ganz andere WordPress-Installation.

    Ich schließe den Thread hier, verbunden mit der Bitte, dass du einen neuen Thread startest.

Ansicht von 14 Antworten - 16 bis 29 (von insgesamt 29)
  • Das Thema „Nach Update auf 5.6 keine Bearbeitung möglich“ ist für neue Antworten geschlossen.